package com.ruoyi.syzy.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.syzy.mapper.BusiWishUniversitySubmitPreRecruitPlanMapper;
import com.ruoyi.syzy.domain.BusiWishUniversitySubmitPreRecruitPlan;
import com.ruoyi.syzy.service.IBusiWishUniversitySubmitPreRecruitPlanService;

/**
 * 提前批招生计划Service业务层处理
 * 
 * @author voluntary
 * @date 2023-03-05
 */
@Service
public class BusiWishUniversitySubmitPreRecruitPlanServiceImpl implements IBusiWishUniversitySubmitPreRecruitPlanService 
{
    @Autowired
    private BusiWishUniversitySubmitPreRecruitPlanMapper busiWishUniversitySubmitPreRecruitPlanMapper;

    /**
     * 查询提前批招生计划
     * 
     * @param id 提前批招生计划主键
     * @return 提前批招生计划
     */
    @Override
    public BusiWishUniversitySubmitPreRecruitPlan selectBusiWishUniversitySubmitPreRecruitPlanById(Long id)
    {
        return busiWishUniversitySubmitPreRecruitPlanMapper.selectBusiWishUniversitySubmitPreRecruitPlanById(id);
    }

    /**
     * 查询提前批招生计划列表
     * 
     * @param busiWishUniversitySubmitPreRecruitPlan 提前批招生计划
     * @return 提前批招生计划
     */
    @Override
    public List<BusiWishUniversitySubmitPreRecruitPlan> selectBusiWishUniversitySubmitPreRecruitPlanList(BusiWishUniversitySubmitPreRecruitPlan busiWishUniversitySubmitPreRecruitPlan)
    {
        return busiWishUniversitySubmitPreRecruitPlanMapper.selectBusiWishUniversitySubmitPreRecruitPlanList(busiWishUniversitySubmitPreRecruitPlan);
    }

    @Override
    public List<String> types(String location,Integer year) {
        return busiWishUniversitySubmitPreRecruitPlanMapper.types(location,year);
    }

    @Override
    public List<String> years(String location, String type, String level) {
        return busiWishUniversitySubmitPreRecruitPlanMapper.years(location, type, level);
    }

    @Override
    public List<String> getTags(String location, Integer year) {
        return busiWishUniversitySubmitPreRecruitPlanMapper.getTags(location, year);
    }

    /**
     * 新增提前批招生计划
     * 
     * @param busiWishUniversitySubmitPreRecruitPlan 提前批招生计划
     * @return 结果
     */
    @Override
    public int insertBusiWishUniversitySubmitPreRecruitPlan(BusiWishUniversitySubmitPreRecruitPlan busiWishUniversitySubmitPreRecruitPlan)
    {
        return busiWishUniversitySubmitPreRecruitPlanMapper.insertBusiWishUniversitySubmitPreRecruitPlan(busiWishUniversitySubmitPreRecruitPlan);
    }

    @Override
    public int updateBusiWishUniversitySubmitPreRecruitPlanTagCode(BusiWishUniversitySubmitPreRecruitPlan busiWishUniversitySubmitPreRecruitPlan) {
        return busiWishUniversitySubmitPreRecruitPlanMapper.updateBusiWishUniversitySubmitPreRecruitPlanTagCode(busiWishUniversitySubmitPreRecruitPlan);
    }

    /**
     * 修改提前批招生计划
     * 
     * @param busiWishUniversitySubmitPreRecruitPlan 提前批招生计划
     * @return 结果
     */
    @Override
    public int updateBusiWishUniversitySubmitPreRecruitPlan(BusiWishUniversitySubmitPreRecruitPlan busiWishUniversitySubmitPreRecruitPlan)
    {
        return busiWishUniversitySubmitPreRecruitPlanMapper.updateBusiWishUniversitySubmitPreRecruitPlan(busiWishUniversitySubmitPreRecruitPlan);
    }

    /**
     * 批量删除提前批招生计划
     * 
     * @param ids 需要删除的提前批招生计划主键
     * @return 结果
     */
    @Override
    public int deleteBusiWishUniversitySubmitPreRecruitPlanByIds(Long[] ids)
    {
        return busiWishUniversitySubmitPreRecruitPlanMapper.deleteBusiWishUniversitySubmitPreRecruitPlanByIds(ids);
    }

    /**
     * 删除提前批招生计划信息
     * 
     * @param id 提前批招生计划主键
     * @return 结果
     */
    @Override
    public int deleteBusiWishUniversitySubmitPreRecruitPlanById(Long id)
    {
        return busiWishUniversitySubmitPreRecruitPlanMapper.deleteBusiWishUniversitySubmitPreRecruitPlanById(id);
    }
}
